Module tdlight.api
Package it.tdlight.jni

# Class TdApi.LoginUrlInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.LoginUrlInfo

Direct Known Subclasses:
  `TdApi.LoginUrlInfoOpen`, `TdApi.LoginUrlInfoRequestConfirmation`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.LoginUrlInfo extends TdApi.Object permits TdApi.LoginUrlInfoOpen, TdApi.LoginUrlInfoRequestConfirmation
This class is an abstract base class. Contains information about an inline button of type inlineKeyboardButtonTypeLoginUrl.

## Constructor Summary

Constructors
Constructor
Description
`LoginUrlInfo()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LoginUrlInfo

public LoginUrlInfo()
Default class constructor.